<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Resize Image 2</title>
    <script type="text/javascript" src="../packages/hotdrink.js"></script>
    <script type="module" src="img.js"></script>
    <style>
      fieldset#size input[type="text"] {
        width: 8ex;
      }

      section,
      .dsl {
        padding: 0.1em;
      }

      #size {
        display: inline-block;
        width: 200px;
        /*height: 75px;*/
        /*margin: 0px;*/
        border: 1px solid white;
        text-align: center;
      }

      .head {
        display: block;
        padding: 0.3em;
      }

      /*.dsl {*/
      /*    padding-top: ;*/
      /*}*/
    </style>
  </head>
  <body>
    <section>
      <label class="head">Recorder Options</label>
      <button id="start" disabled>Start Recording</button>
      <button id="stop">Stop Recording</button>
      <button id="replay">Replay</button>
    </section>

    <aside>
      <img
        id="img"
        width="500"
        height="500"
        src="aqueduct.png"
        style="float: right"
        alt="Aqueduct near Belgrade from Views in the Ottoman Dominions, in Europe, in Asia, and some of the Mediterranean islands (CC0)"
      />
      <img
        id="img2"
        width="500"
        height="500"
        src="the_great_wave.png"
        style="float: right"
        alt="The great wave (CC0)"
      />
    </aside>

    <section>
      <label class="head"
        >Manipulate Image great wave (comp <var>image1</var>)</label
      >
      <fieldset class="size">
        <div class="size">
          <label
            >Absolute width <input min="1" id="abs-x2" type="number"
          /></label>
        </div>
        <div class="size">
          <label
            >Absolute height <input min="0" id="abs-y2" type="number"
          /></label>
        </div>
      </fieldset>
    </section>

    <section>
      <label class="head">Manipulate aqueduct (comp <var>image2</var>)</label>
      <fieldset class="size">
        <div class="size">
          <label hidden
            >Original width
            <input min="1" id="init-x" type="number" value="750" disabled
          /></label>
          <label
            >Absolute width <input min="1" id="abs-x" type="number"
          /></label>
          <label hidden
            >Relative width <input min="1" id="rel-x" type="number"
          /></label>
        </div>
        <div class="size">
          <label hidden
            >Original height
            <input min="1" id="init-y" type="number" value="750" disabled
          /></label>
          <label
            >Absolute height <input min="0" id="abs-y" type="number"
          /></label>
          <label hidden
            >Relative height <input min="1" id="rel-y" type="number"
          /></label>
        </div>
      </fieldset>
      <label hidden>Aspect ratio:<input id="ratio" type="number" /></label>
      <label hidden
        >Lock aspect ratio:<input id="lockRatio" type="checkbox"
      /></label>
    </section>

    <section>
      <label class="head">Script DSL</label>
      <button id="update-dsl">Update DSL</button>
      <button id="parse-dsl">Parse DSL</button>
      <div class="dsl">
        <textarea
          id="dsl"
          rows="20"
          cols="50"
          style="display: inline-block"
        ></textarea>
      </div>

      <label class="head">Change Target Component</label>
      <label
        >old target<input id="oldTarget" type="text" value="image1"
      /></label>
      <label
        >new target<input id="newTarget" type="text" value="image2"
      /></label>
      <button id="updateTarget">update target</button>
    </section>

    <link rel="stylesheet" href="overlay-style.css" />
    <div id="hd-script-dsl-overlay" hidden>
      <div id="hd-script-mask"></div>
      <div id="hd-script-overlay_window">
        <button
          class="hd-script-overlay"
          id="hd-script-vhide"
          onclick="document.getElementById('hd-script-dsl-overlay').hidden = true"
        >
          Hide
        </button>
      </div>
    </div>
  </body>
</html>
